A new user interface for you! Read more...

File project.diff of Package livestreamer

--- livestreamer.changes.orig
+++ livestreamer.changes
@@ -1,4 +1,9 @@
 -------------------------------------------------------------------
+Sat Mar  5 18:15:45 UTC 2016 - hpj@urpla.net
+
+- apply patch with current git state (ab80dbd) as of 20160305
+
+-------------------------------------------------------------------
 Sat Jul 25 10:42:01 UTC 2015 - sor.alexei@meowr.ru
 
 - Initial package.
--- livestreamer.spec.orig
+++ livestreamer.spec
@@ -1,7 +1,7 @@
 #
 # spec file for package livestreamer
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -26,19 +26,20 @@ Url:            http://livestreamer.io/
 Source:         https://github.com/chrippa/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
 # PATCH-FEATURE-UPSTREAM livestreamer-use-mpv.patch sor.alexei@meowr.ru -- Use a lighter MPV player by default.
 Patch0:         %{name}-use-mpv.patch
+Patch1:         %{name}-git-ab80dbd.patch
 Recommends:     mpv
 BuildArch:      noarch
 %if 0%{?suse_version} > 1310
+BuildRequires:  python3-Sphinx
 BuildRequires:  python3-devel >= 3.4
 BuildRequires:  python3-setuptools
-BuildRequires:  python3-Sphinx
 Requires:       python3-requests >= 1.0
 %else
+BuildRequires:  python-Sphinx
 BuildRequires:  python-devel >= 2.7
 BuildRequires:  python-futures
 BuildRequires:  python-setuptools
 BuildRequires:  python-singledispatch
-BuildRequires:  python-Sphinx
 Requires:       python-requests >= 1.0
 %endif
 
@@ -53,6 +54,7 @@ access to the video stream data.
 %prep
 %setup -q
 %patch0 -p1
+%patch1 -p1
 
 %build
 %if 0%{?suse_version} > 1310